---
title: "Notify RCS that a new product or product configuration version is available."
url: "https://developers.zinnia.com/apis/rate-configuration/versions/09cd2eb7-6cba-4d5f-b142-73e01c2ad670/operations/notify-new-product-configuration-version"
---

> Full API specification: https://developers.zinnia.com/apis/rate-configuration/versions/09cd2eb7-6cba-4d5f-b142-73e01c2ad670.md

# Notify RCS that a new product or product configuration version is available.

`POST` `/rate-configuration/v1/notification/new-product-configuration-version`

Operation ID: `notify-new-product-configuration-version`

Tells the service a new product or product configuration version is available so it can pick it up.

## Request body

Content types: `application/json`, `text/json`, `application/*+json`

## Responses

- `200` - The notification was received and successfully processed.
- `400` - The notification payload was missing a required field or otherwise malformed.
- `401` - The caller's authentication token was missing or invalid.
- `403` - The caller was authenticated but is not authorized
- `500` - An error occurred while processing an apparently valid request.

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Rate Configuration
  version: 1.0.0
servers:
  - url: https://dev.api.zinnia.io
    description: Development
paths:
  /rate-configuration/v1/notification/new-product-configuration-version:
    post:
      tags:
        - Notification
      operationId: notify-new-product-configuration-version
      summary: Notify RCS that a new product or product configuration version is
        available.
      description: Tells the service a new product or product configuration version is
        available so it can pick it up.
      requestBody:
        description: The new carrierId, planCode, and configuration version
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/NewProductConfigurationVersion"
          text/json:
            schema:
              $ref: "#/components/schemas/NewProductConfigurationVersion"
          application/*+json:
            schema:
              $ref: "#/components/schemas/NewProductConfigurationVersion"
      responses:
        "200":
          description: The notification was received and successfully processed.
        "400":
          description: The notification payload was missing a required field or otherwise
            malformed.
        "401":
          description: The caller's authentication token was missing or invalid.
        "403":
          description: The caller was authenticated but is not authorized
        "500":
          description: An error occurred while processing an apparently valid request.
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    NewProductConfigurationVersion:
      required:
        - carrierId
        - newLatestConfigurationVersion
        - planCode
      type: object
      properties:
        carrierId:
          type: string
          description: CarrierId of the planCode that has a new configuration version.
        planCode:
          type: string
          description: PlanCode that has a new configuration version. If this is a new
            planCode, latest configuration version tracking will begin for it.
        newLatestConfigurationVersion:
          type: string
          description: The new latest configuration version for this planCode
      additionalProperties: false
      description: Notification that a new product or product configuration version is
        available.
  securitySchemes:
    Auth0:
      type: openIdConnect
      description: OpenId Connect authentication
      openIdConnectUrl: https://login.dev.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://dev.api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://dev.api.zinnia.io
          auth_methods:
            - bearer
        enabled: true
        protocols:
          - https
```
